/* JJT: 0.2.2 */

package w3c.pics.parser;

import java.util.*;

class PICSAnd_Expr extends SimpleNode implements EvalNode {
  PICSAnd_Expr(int id) {
    super(id);
  }

  String text = null;
  
  public String getText() {
    return text;
  }

  public boolean isValid(Vector labellist, Hashtable silist) {
    int childcount = this.children.length;
    boolean currentbool = true;
    for (int count=0; count<childcount; count++) {
      Node testnode = children[count];
      if (testnode instanceof PICSBool_Node)
	continue;
      EvalNode andchild = (EvalNode)testnode;
      currentbool = andchild.isValid(labellist, silist);
      if (!currentbool)
	return false;
    }
    return true;
  }
}
